---
apiVersion: cert-manager.io/v1
kind: ClusterIssuer
metadata:
  name: letsencrypt-haproxy
spec:
  acme:
    email: bgiger@ethz.ch
    privateKeySecretRef:
      name: letsencrypt-haproxy
    server: https://acme-v02.api.letsencrypt.org/directory
    solvers:
      - selector: {}
        http01:
          ingress:
            class: haproxy
